#!/bin/make -f
# #(@) Makefile $Revision: 1.1 $ $Date: 1999/08/18 06:56:17 $
#
#  Makefile for building C++ components for SNMP++ Object Library
#
#  SUN/Solaris version derived from HPUX Makefile (rlujo@isrglobal.com)
#  

#
#  Flags: compiler options, search paths
#

USERHEADERS = address.h counter.h ctr64.h gauge.h octet.h oid.h \
	pdu.h smi.h target.h timetick.h vb.h snmp_pp.h integer.h \
	smival.h snmperrs.h collect.h oid_def.h asn1.h snmpmsg.h

UXHEADERS = msgqueue.h userdefined.h usertimeout.h eventlist.h \
	msec.h notifyqueue.h


HEADERS = $(USERHEADERS) $(UXHEADERS) 

all::

install::
	for headerfile in ${HEADERS}; do \
	  ../../../../install-sh -c -m 444 $$headerfile @includedir@/snmp++/$$headerfile ; \
	done



